## com.rbnb.api
Class Directory

    java.lang.Object
      com.rbnb.api.Directory

    public final class Directory

extends Object

Directory class.

This class allows a user to work with a `java.io.File` object that represents a directory.

This class exists because some early versions of Java do not support the `java.io.File.listFiles` method.

Since:
  V2.1
See Also:
  `File`
Author:
  Ian Brown
Version:
  10/01/2004

Constructor Summary
`Directory(File directoryI)` Class constructor to build a `Directory` for a java.io.File.

Method Summary
`File[]` `listFiles()` Gets a list of files in the directory.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Directory

    public Directory(File directoryI)

  Class constructor to build a `Directory` for a java.io.File.

  Parameters:
    `directoryI` - the `java.io.File` representing the directory.
  Since:
    V2.1
  Author:
    Ian Brown
  Version:
    03/10/2003

Method Detail

### listFiles

    public final File[] listFiles()
                           throws IOException

  Gets a list of files in the directory.

  Returns:
    an array of `File` objects.
  Throws:
    `IOException` - if an I/O exception occurs.
  Since:
    V2.0
  Author:
    Ian Brown
  Version:
    03/10/2003